agent.activity
POST /api/v1/agent/activity. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Body limit: 4 KB.
POST
/api/v1/agent/activity
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/agent/activity \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "boards": [ "example" ], "session": "example", "sub": { "id": "example", "type": "example" }, "kind": "tool", "tool_use_id": "example" }'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Body limit: 4 KB.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
boards
required
Array<string>
session
required
string
sub
object
id
required
string
type
required
string
kind
required
string
tool_use_id
string
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
accepted
required
Array<boolean>
watched
required
Array<boolean>
Example generated
{ "accepted": [ true ], "watched": [ true ]}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}